# Get all categories

GET /api/v1/markets/categories

## Get all categories

> Returns a paginated list of all market categories, each including a count of subcategories and topics nested within it.

```json
{"openapi":"3.1.1","info":{"title":"FortyTwo Read API","version":"1.0"},"tags":[{"description":"GET /api/v1/markets/categories","name":"get-all-categories"}],"servers":[{"url":"https://rest.ft.42.space/"}],"paths":{"/api/v1/markets/categories":{"get":{"description":"Returns a paginated list of all market categories, each including a count of subcategories and topics nested within it.","tags":["get-all-categories"],"summary":"Get all categories","parameters":[{"schema":{"type":"integer","default":100},"description":"Page size","name":"limit","in":"query"},{"schema":{"type":"integer","default":0},"description":"Page offset","name":"offset","in":"query"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ft_market-service-v2_pkg_api.PaginatedResponse-internal_handler_CategoryListItem"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ft_market-service-v2_pkg_api.ErrorResponse"}}}}}}}},"components":{"schemas":{"ft_market-service-v2_pkg_api.PaginatedResponse-internal_handler_CategoryListItem":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/internal_handler.CategoryListItem"}},"pagination":{"$ref":"#/components/schemas/ft_market-service-v2_pkg_api.Pagination"}}},"internal_handler.CategoryListItem":{"type":"object","properties":{"id":{"type":"integer"},"image":{"type":"string"},"name":{"type":"string"},"slug":{"type":"string"},"subcategoryCount":{"type":"integer"},"topicCount":{"type":"integer"}}},"ft_market-service-v2_pkg_api.Pagination":{"type":"object","properties":{"hasMore":{"type":"boolean"},"totalResults":{"type":"integer"}}},"ft_market-service-v2_pkg_api.ErrorResponse":{"type":"object","properties":{"code":{"type":"integer"},"error":{"type":"string"},"message":{"type":"string"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.42.space/api/rest-api-alpha/markets/get-all-categories.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
